Name:           gshhg-gmt-nc4
Version:        2.3.7
Release:    1%{?dist}
Summary:        Global Self-consistent Hierarchical High-resolution Geography (GSHHG)

License:        LGPLv3+
URL:            https://github.com/GenericMappingTools/gshhg-gmt
Source0:        https://github.com/GenericMappingTools/gshhg-gmt/releases/download/%{version}/gshhg-gmt-%{version}.tar.gz
BuildArch:      noarch
Provides:       GMT-coastlines = %{version}-%{release}
Provides:       gshhg-gmt = %{version}-%{release}


%description
GSHHG is a high-resolution shoreline data set amalgamated from two databases:
Global Self-consistent Hierarchical High-resolution Shorelines (GSHHS) and
CIA World Data Bank II (WDBII).  GSHHG contains vector descriptions at five
different resolutions of land outlines, lakes, rivers, and political
boundaries.  This data for use by GMT, the Generic Mapping Tools.

This package contains the crude, low, and intermediate resolution data.
Install the -all, -full, or -high sub-packages to get full, high, or all of
the resolution data respectively. 


%package        full
Summary:        GSHHG - full resolution
Requires:       %{name}
Provides:       GMT-coastlines-full = %{version}-%{release}
Provides:       gshhg-gmt-full = %{version}-%{release}

%description    full
%{summary}.


%package        high
Summary:        GSHHG - high resolution
Requires:       %{name}
Provides:       GMT-coastlines-high = %{version}-%{release}
Provides:       gshhg-gmt-high = %{version}-%{release}

%description    high
%{summary}.


%package        all
Summary:        GSHHG - all resolutions
Requires:       %{name}
Requires:       %{name}-full
Requires:       %{name}-high
Provides:       GMT-coastlines-all = %{version}-%{release}
Provides:       gshhg-gmt-all = %{version}-%{release}

%description    all
%{summary}.


%prep
%setup -q -n gshhg-gmt-%{version} 

%install
mkdir -p %{buildroot}/%{_datadir}/%{name}
cp -a *.nc %{buildroot}/%{_datadir}/%{name}


%files
%doc COPYING.LESSERv3 COPYINGv3 LICENSE.TXT README.TXT
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*_[cil].nc

%files full
%{_datadir}/%{name}/*_f.nc

%files high
%{_datadir}/%{name}/*_h.nc


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.7-1
- initial build
